KDE 4.9 PyKDE API Reference

- KDE's Python API

# ServiceTypeBrowser Class Reference

`from PyKDE4.dnssd import *`

Inherits: QObject
Namespace: DNSSD

## Detailed Description

ServiceBrowser servicebrowser.h DNSSD/ServiceBrowser Browses the service types being published on a domain

This class is mostly useful for generic utilities for browsing all the published services on a local network. Applications that wish to find out about available services of a particular type (such as web servers) should use ServiceBrowser.

ServiceTypeBrowser provides a list of all the service types published by at least one service on a given domain.

Author:
  Jakub Stachowski

## Signals

| finished ()
| serviceTypeAdded (QString type)
| serviceTypeRemoved (QString type)

## Methods

| __init__ (self, QString domain=QString(), QObject parent=0)
bool | isRunning (self)
QStringList | serviceTypes (self)
| startBrowse (self)

## Signal Documentation

finished | ( |  | ) |

Emitted when the list of published service types has settled

This signal is emitted once after startBrowse() is called when the types of all the services that are currently published have been reported (even if no services are available or the DNS-SD service is not available). It is emitted again when a new batch of service types become available or disappear.

For example, if a new host is connected to network and announces services of several new types, they will be reported by several serviceTypeAdded() signals and the whole batch will be concluded by finished().

This signal can be used by applications that just want to get a list of the currently available service types (similar to a directory listing) and do not care about adding or removing service types that appear or disappear later.

See also:
  serviceTypeAdded() and serviceTypeRemoved()

Signal syntax:
  `QObject.connect(source, SIGNAL("finished()"), target_slot)`

serviceTypeAdded | ( | QString | type
| ) |  |  |

A new type of service has been found

Parameters:

  | type | the service type

See also:
  serviceTypeAdded() and finished()

Signal syntax:
  `QObject.connect(source, SIGNAL("serviceTypeAdded(const QString&)"), target_slot)`

serviceTypeRemoved | ( | QString | type
| ) |  |  |

Emitted when there are no more services of this type

Warning:
  This signal is not reliable: it is possible that it will not be emitted even after last service of this type disappeared

Parameters:

  | type | the service type

See also:
  serviceTypeAdded() and finished()

Signal syntax:
  `QObject.connect(source, SIGNAL("serviceTypeRemoved(const QString&)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QString | domain=QString(),
|  | QObject | parent=0
| ) |  |  |

Create a ServiceTypeBrowser for a domain

The link-local domain (the LAN subnet for this computer) will be used if no domain is given. DomainBrowser can be used to get a list of browsing domains.

Note that WAN domains may not support service type browsing.

Parameters:

  | domain | a browsing domain to search
  | parent | the parent object (see QObject documentation)

See also:
  startBrowse() and ServiceBrowser.isAvailable()

bool isRunning | ( |  | self ) |

Deprecated:
  This method is unnecessary, since it is safe to call startBrowse() multiple times.

QStringList serviceTypes | ( |  | self ) |

All the service types currently being published

Returns:
  a list of service types, in the form _type._tcp or _type._udp

startBrowse | ( |  | self ) |

Starts browsing

Only the first call to this function will have any effect.

Browsing stops when the ServiceBrowser object is destroyed.

Warning:
  The serviceTypeAdded() signal may be emitted before this function returns.

See also:
  serviceTypeAdded(), serviceTypeRemoved() and finished()